=== debian/changelog ===
stress-ng (0.09.20-1) unstable; urgency=medium

  * Makefile: bump version
  * stress-procfs: remove debug (LP: #1755552)
  * stress-madvise: fix build issue for HPPA (LP: #1755551)
  * stress-dev: add missing FIBMAP to block dev stressor
  * Fix missing stressors in mini-help and re-order some
  * Remove duplicated "futex" stressor from stressor table

 -- Colin King <colin.king@canonical.com>  Tue, 13 Mar 2018 17:58:49 +0000

stress-ng (0.09.19-1) unstable; urgency=medium

  * Makefile: bump version
  * stress-cyclic: fix typo in time measurement, us should be ns
  * stress-enosys: add checks on RLIMIT_* macros
  * bump target_clones attribute to gcc 5.5
  * stress-mcontend: don't msync if it is not available
  * Disable target_clones attribute on GNU_HURD
  * stress-procfs: make stressor more stressful, less thread spawning
  * stress-enosys: wider sanity checks for fork/vfork/cloning (LP:#1753705)
  * Forgot to add test/test-personality.c
  * stress-enosys: try to limit fork run-away (LP:#1753705)
  * Add personality autoconfiguration detection
  * stress-mcontend: fix non-Linux build
  * stress-cpu: fix clang build error
  * Add new mcontend memory contention stressor
  * stress-af-algo: add a couple more crypto module tests
  * Add GCC-5 target_clones attribute
  * stressors: use the new cpu_is_x86 helper
  * Add cpu.c and cpu_is_x86 cpu detection helper

 -- Colin King <colin.king@canonical.com>  Mon, 12 Mar 2018 10:30:58 +0000

stress-ng (0.09.18-1) unstable; urgency=medium

  * Makefile: bump version
  * stress-sysfs: sysfs_path does not need to be marked as volatile
  * stress-flock: make function stress_flock_child static
  * stress-dev: pass thread data using pthread_args_t context
  * stress-dev: rename ret to wret to fix variable shadowing
  * stress-seal: don't redefine MFD_ALLOW_SEALING
  * test/test-ustat: fail for GNU/HURD, it is not implemented
  * helper: use sz only in scope that requires it
  * stress-fcntl: fix build error in do_fcntl
  * Pass SHIM_PTHREAD_PROCESS_SHARED rather than 0 as flags arg
    to shim spin lock init
  * stress-dev: Fix compat shim build warnings on OS X
  * stress-dev: use abstracted pthread spinlock for portability sake
  * syscalls.txt: add getpagesize
  * stress-get: use getpagesize if it is available
  * helper: use getpagesize() for legacy systems without sysconf
  * Add automatic build getpagesize detection
  * stress-exec: where possible, use execveat() as well as execve()
  * syscalls.txt: add epoll_create and epoll_pwait to syscall table
  * stress-epoll: use epoll_create and epoll_pwait to get more coverage
  * stress-sock: use accept4 to add more system call coverage
  * stress-dev: add some block specific ioctls
  * stress-dev: add more seeking and shared memory mapping
  * syscalls: add ustat
  * stress-sysinfo: add legacy ustat() system call
  * Update syscalls log
  * stress-poll: add ppoll and pselect calls to add more stress coverage
  * stress-dev: make stressor more stressful, less thread spawning
  * stress-sysfs: only stress sysfs if spinlock succeeded and bump counter
  * stress-sysfs: remove redundant null check on path
  * stress-sys: make stressor more stressful, less thread spawning

 -- Colin King <colin.king@canonical.com>  Wed, 28 Feb 2018 16:26:38 +0000

stress-ng (0.09.17-1) unstable; urgency=medium

  * Makefile: bump version
  * Manual: update date
  * stress-rawdev: make some functions static
  * stress-funcall: fix -Wmissing-declarations warning message
  * stress-file-ioctl: remove extraneous shadowed variable 'ret'
  * stress-madvise: make ret non-clobberable for gcc 4.2.1
  * Add minimum GCC version for Pragma push/pop
  * shim: older gcc required pragmas outside of functions
  * stress-enosys: older gcc required pragmas outside of functions
  * Check for clang version when using pragmas
  * stress-file-ioctl: remove debug printf
  * Add new file-ioctl stressor
  * shim: disable warnings for brk and sbrk for OS X
  * Swap ordering on compiler detection on pragmas
  * stress-enosys: turn off warning on syscall, cleans up OS X warning
  * Add no warning pragma macros
  * Makefile: force sync after build in case reboot loses executable
  * stress-enosys: add syscall7 shim
  * stress-dirdeep: only print info message on instance #0
  * stress-enosys: wrap with OOM catcher (LP: #1750787)
  * stress-dev: add bug reference to hpet failure
  * stress-enosys: exercise more arguments in syscall
  * Manual: udp-lite should be for ipv6 as well as ipv4
  * Manual: update arch specific limitations on lockbus and memthrash
    stressors
  * Return EXIT_NOT_IMPLEMENTED when system call returns ENOSYS
  * stress-userfaultfd: don't fail with an error if ENOSYS is returned
  * stress-membarrier: don't fail with an error if ENOSYS is returned
  * stress-getrandom: don't fail with an error if ENOSYS is returned
  * helper: make zero more obscure so that optimizer won't optimize
    zero out
  * stress-filename: remove shadowed redundant variable ret
  * Makefile: build perf-event with $(CC) rather gcc
  * stress-wcstr: fix warning on systems without wcs functions
  * job: make fp non-clobberable, cleans up build warning on gcc 4.8.4
  * stress-softlock: clean up clobbering warning on gcc 4.9.2
  * mwc: add more information into the reseed mix
  * stress-filename: don't closedir on a NULL dir pointer
  * Move LIB_DL headers to stress-ng.h
  * stress-dynlib: try to read the function memory to force page fault
  * Manual: fix enosys-ops entry, missing e from enosys-ops
  * Add new dynlib shared library dynamic loading stressor
  * stress-tree: make nodes align naturally with padding
  * stress-tree: move data to start of struct, ensures natural alignment
  * stress-tree: clean splay nodes at removal time
  * stress-tree: ensure splay tree data is cleared
  * stress-exec: drop all capabilities before exec'ing
  * stack-mmap: add MAP_STACK flag

 -- Colin King <colin.king@canonical.com>  Thu, 22 Feb 2018 14:04:11 +0000


