=== debian/changelog ===
stress-ng (0.09.23-1) unstable; urgency=medium

  * Makefile: bump version
  * cache: revert using shim_str* funcs (LP: #1759515)
    Using the shim_* str functions breaks the cache globbing paths,
    so for now, revert these.

 -- Colin King <colin.king@canonical.com>  Wed, 28 Mar 2018 10:40:10 +0100
