## stress-ng 0.09.25

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.09.23
+VERSION=0.09.25
 #
 # Codename "portable pressure producer"
 #
