=== debian/changelog ===
stress-ng (0.09.25-1ubuntu9) bionic; urgency=medium

  * stress-hdd: ensure offset is aligned to 512 byte boundary (LP: #1951152)
    fixes direct I/O random write failures with the hdd stressor

 -- Colin Ian King <colin.i.king@gmail.com>  Tue, 16 Nov 2021 19:38:41 +0000

stress-ng (0.09.25-1ubuntu8) bionic; urgency=medium

  * Ensure --aggressive mode terminates early (LP: #1858858)
    Add a waitpid NOHANG wait on each child process and if we get ESRCH
    on all the child pids we can terminate the loop early.
  * Fix --timer-slack arg handling (LP: #1853832)
  * Fix mwc8() being reset when using mwc1() (LP: #1855851)
    Fix Psuedo-random 8 bit numbers from mwc8() accidentally
    being zero'd when mwc1() is called.

 -- Colin King <colin.king@canonical.com>  Tue, 10 Dec 2019 09:32:11 +0000

stress-ng (0.09.25-1ubuntu5) bionic; urgency=medium

  * d/p/0015-stress-af-alg-handle-bind-ETIMEDOUT-failures.patch:
    retry bind() on ETIMEDOUT in case the requested module just
    gets loaded by another stress-af-alg worker. (LP: #1851553)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Wed, 06 Nov 2019 17:42:36 -0300

stress-ng (0.09.25-1ubuntu4) bionic; urgency=medium

  * stress-rmap: don't hard fail on fallocate failures (LP: #1845005)
    - backport of upstream commit 38fd9c6ff96c
  * stress-mcontend: sync mmap file with zero data (LP: #1845011)
    - backport of upstream commit c3678dadee23

 -- Colin King <colin.king@canonical.com>  Tue, 24 Sep 2019 08:30:11 +0100

stress-ng (0.09.25-1ubuntu3) bionic; urgency=medium

  * stress-ng: stress-mmap: be less noisy on mmap failures and
    fix directory cleanup (LP: #1807732)
    - backport of upstream commit c0ce27a5870f

 -- Colin King <colin.king@canonical.com>  Thu, 15 Aug 2019 22:09:24 +0100

stress-ng (0.09.25-1ubuntu2) bionic; urgency=medium

  [Alfonso Sanchez-Beato]
  * stress-numa: fix calculation of max nodes (LP: #1823208)
    - use the count of bits in "Mems_allowed" to calculate the
      maximum number of NUMA nodes
  [Colin Ian King]
  * stress-af-alg: check for EBUSY bind failures (LP: #1815123)
    - backport of upstream prerequisits and the fix:
      13c4c58d0150 expand error message to capture more information
      39184c74f1e0 forgot to add in \n
      aed180cb7b2f make ENOKEY a non-critical failure
      7f1a617adcd6 skip over ciphers that may not exist
      88cbe87a3cc1 fix errno = ENOENT assignment, should be == comparison
      3ec28f2f5438 return EXIT_NOT_IMPLEMENTED if protocol is not supported
      a5c2cb02e8ed stress-af-alg: check for EBUSY bind failures

 -- Colin King <colin.king@canonical.com>  Thu, 4 Apr 2019 17:47:11 +0100

stress-ng (0.09.25-1ubuntu1) bionic; urgency=medium

  * stress-dev: remove FIBMAP ioctl on device (LP: #1800609)
    - fixes error of incorrect ioctl on block device
  * stress-revio: ensure fiemap extent struct is zero'd (LP: #1798566)
    - fixes fiemap ioctl failures because of garbage in struct

 -- Colin King <colin.king@canonical.com>  Wed, 14 Nov 2018 18:10:15 +0000

stress-ng (0.09.25-1) unstable; urgency=medium

  * Makefile: bump version
  * stress-ng: don't enable TARGET_CLONES for kFreeBSD (LP: #1765050)
  * stress-enosys: avoid calling vhangup with upper bits set (LP: #1757967)

 -- Colin King <colin.king@canonical.com>  Wed, 18 Apr 2018 15:25:51 +0100

stress-ng (0.09.24-1) unstable; urgency=medium

  * Makefile: bump version
  * Misc small fixes detected by static analysis (LP: #1762848)
  * stress-fcntl: use | rather than |= to get new_flags
  * stress-tmpfs: clear mnts and check if mnts[i] is null
  * stress-sync-file: fix incorrect placement of break statement
  * stress-af-alkg: check for more NULL cmsg pointers
  * stress-pipe: ensure no uninitialized data is written to pipe
  * stress-fcntl: use | rather than |= to get new_flags
  * test/test-posix-memalign.c: free allocated buffer
  * test/test-fanotify.c: free buffer
  * stress-mmapfailed: check for null return from mremap
  * stress-af-alkg: check for NULL cmsg
  * stress-resources: don't open on a null slavename
  * stress-sysinfo: ensure mnts array is zero'd
  * stress-cpu: make loop index in jenkin func size_t to fix overflow
  * stress-vm: don't loop forever in child sleep loop
  * ignite-cpu: don't wait for parent to kill loop, add timeout
    check too
  * Double number of stressor processes up to 8192
  * Add stream-index indexing option
  * Make some settings global to fix args confustion

 -- Colin King <colin.king@canonical.com>  Wed, 11 Apr 2018 09:58:44 +0100
