=== debian/tests/control ===
Tests: fast-test-all
Depends: stress-ng, @
