## stress-ng 0.09.38

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.09.25
+VERSION=0.09.38
 #
 # Codename "portable pressure producer"
 #
@@ -34,6 +34,23 @@
 endif
 
 #
+# SunOS requires special grep for -e support
+#
+KERNEL=$(shell uname -s)
+ifeq ($(KERNEL),SunOS)
+GREP = /usr/xpg4/bin/grep
+else
+GREP = grep
+endif
+
+#
+# Check for KFreeBSD
+#
+ifeq ($(KERNEL),GNU/kFreeBSD)
+CFLAGS += -D__FreeBSD_Kernel__
+endif
+
+#
 # Static flags, only to be used when using GCC
 #
 ifeq ($(STATIC),1)
@@ -49,6 +66,7 @@
 #  Stressors
 #
 STRESS_SRC = \
+	stress-access.c \
 	stress-affinity.c \
 	stress-af-alg.c \
 	stress-aio.c \
@@ -78,11 +96,13 @@
 	stress-dccp.c \
 	stress-dentry.c \
 	stress-dev.c \
+	stress-dev-shm.c \
 	stress-dir.c \
 	stress-dirdeep.c \
 	stress-dnotify.c \
 	stress-dup.c \
 	stress-dynlib.c \
+	stress-efivar.c \
 	stress-enosys.c \
 	stress-epoll.c \
 	stress-eventfd.c \
@@ -166,6 +186,7 @@
 	stress-physpage.c \
 	stress-pipe.c \
 	stress-poll.c \
+	stress-prctl.c \
 	stress-procfs.c \
 	stress-pthread.c \
 	stress-ptrace.c \
@@ -191,6 +212,7 @@
 	stress-sem.c \
 	stress-sem-sysv.c \
 	stress-sendfile.c \
+	stress-set.c \
 	stress-shm.c \
 	stress-shm-sysv.c \
 	stress-sigfd.c \
@@ -198,9 +220,10 @@
 	stress-sigio.c \
 	stress-sigpending.c \
 	stress-sigpipe.c \
+	stress-sigq.c \
+	stress-sigrt.c \
 	stress-sigsegv.c \
 	stress-sigsuspend.c \
-	stress-sigq.c \
 	stress-sleep.c \
 	stress-socket.c \
 	stress-socket-diag.c \
@@ -216,6 +239,7 @@
 	stress-swap.c \
 	stress-switch.c \
 	stress-sync-file.c \
+	stress-sysbadaddr.c \
 	stress-sysinfo.c \
 	stress-sysfs.c \
 	stress-tee.c \
@@ -237,8 +261,10 @@
 	stress-vm.c \
 	stress-vm-addr.c \
 	stress-vm-rw.c \
+	stress-vm-segv.c \
 	stress-vm-splice.c \
 	stress-wait.c \
+	stress-watchdog.c \
 	stress-wcstr.c \
 	stress-xattr.c \
 	stress-yield.c \
@@ -293,20 +319,19 @@
 LIB_DL = -ldl
 
 #
-#  Load in current config; use 'make clean' to clear this
+#  Load in and set flags based on config
 #
 -include config
-ifneq ("$(wildcard config)","")
-.PHONY: all_config
-all_config:
-	$(MAKE) -f Makefile.config
-	$(MAKE) stress-ng
-endif
-
 CFLAGS += $(CONFIG_CFLAGS)
 LDFLAGS += $(CONFIG_LDFLAGS)
 OBJS += $(CONFIG_OBJS)
 
+all:
+ifneq ("$(wildcard config)","")
+	$(MAKE) makeconfig
+endif
+	$(MAKE) stress-ng
+
 .SUFFIXES: .c .o
 
 .o: stress-ng.h Makefile
@@ -315,14 +340,15 @@
 	@echo "CC $<"
 	@$(CC) $(CFLAGS) -c -o $@ $<
 
-stress-ng: info $(OBJS)
+stress-ng: $(OBJS)
 	@echo "LD $@"
 	@$(CC) $(CPPFLAGS) $(CFLAGS) $(OBJS) -lm $(LDFLAGS) -lc -o $@
 	@sync
 
-.PHONY: info
-info:
-	@echo "CFLAGS: $(CFLAGS)"
+makeconfig:
+	@if [ ! -s config ]; then \
+		$(MAKE) -f Makefile.config; \
+	fi
 
 #
 #  generate apparmor data using minimal core utils tools from apparmor
@@ -339,19 +365,20 @@
 	@echo "const size_t g_apparmor_data_len = sizeof(g_apparmor_data);" >> apparmor-data.c
 	@echo "CC $<"
 	@$(CC) -c apparmor-data.c -o apparmor-data.o
-	@rm -rf apparmor-data.c
+	@rm -rf apparmor-data.c apparmor-data.bin
 
 #
 #  extract the PER_* personality enums
 #
 personality.h:
-	@$(CPP) personality.c | grep -e "PER_[A-Z0-9]* =.*," | cut -d "=" -f 1 \
+	@$(CPP) personality.c | $(GREP) -e "PER_[A-Z0-9]* =.*," | cut -d "=" -f 1 \
 	| sed "s/.$$/,/" > personality.h
 
 stress-personality.c: personality.h
 
 perf.o: perf.c perf-event.c
-	@$(CC) -E perf-event.c | grep "PERF_COUNT" | sed 's/,/ /' | awk {'print "#define _SNG_" $$1 " (1)"'} > perf-event.h
+	@$(CC) $(CFLAGS) -E perf-event.c | grep "PERF_COUNT" | sed 's/,/ /' | \
+	awk {'print "#define _SNG_" $$1 " (1)"'} > perf-event.h
 	@echo CC $<
 	@$(CC) $(CFLAGS) -c -o $@ $<
 
@@ -371,9 +398,9 @@
 	mkdir stress-ng-$(VERSION)
 	cp -rp Makefile Makefile.config $(SRC) stress-ng.h stress-ng.1 \
 		personality.c COPYING syscalls.txt mascot README \
-		README.Android test snapcraft smatchify.sh config TODO \
+		README.Android test snap smatchify.sh config TODO \
 		perf-event.c usr.bin.pulseaudio.eg stress-version.h \
-		example-jobs stress-ng-$(VERSION)
+		example-jobs .travis.yml stress-ng-$(VERSION)
 	tar -Jcf stress-ng-$(VERSION).tar.xz stress-ng-$(VERSION)
 	rm -rf stress-ng-$(VERSION)
 
@@ -388,12 +415,17 @@
 	@rm -f stress-ng-$(VERSION).tar.xz
 	@rm -f personality.h
 	@rm -f perf-event.h
+	@rm -f apparmor-data.bin
 	@rm -f *.o
 	@:> config
 
 .PHONY: fast-test-all
-fast-test-all: stress-ng
+fast-test-all: all
 	STRESS_NG=./stress-ng debian/tests/fast-test-all
+
+.PHONY: slow-test-all
+slow-test-all: all
+	./stress-ng --seq 0 -t 15 --pathological --verbose --times --tz --metrics
 
 .PHONY: install
 install: stress-ng stress-ng.1.gz
