=== debian/changelog ===
stress-ng (0.09.38-1) unstable; urgency=medium

  * Makefile: bump version
  * Makefile: ensure fast-test-all and slow-test-all build with config
  * stress-fork: print correct fork/vfork name on an error
  * stress-fork: don't throw error on EAGAIN or ENOMEM (LP: #1788385)
  * stress-sysfs: add SEGV detection and abort
  * stress-funccall: make deep calls perform more stack work
  * stress-fiemap: remove blank line
  * stress-dir: rename d_reclen to d_namlen for DragonFly BSD
  * stress-dev: clean up overly wide function prototypes
  * stress-dccp: make loop iterator size_t
  * stress-mmap: move } outside #if #endif, fix *BSD build error
  * stress-chdir: remove blank line
  * stress-access: remove empty line
  * stress-ng: don't enable TARGET_CLONES for musl
  * stress-ng: don't exit a failure if no stressors are run when some
    are not supported
  * stress-dnotify: check if dnotify is supported by linux kernel
  * stress-access: make bool is_root const
  * stress-access: make struct fields const
  * stress-mmap: add hole punching to mmap'd file
  * ignite-cpu: remove extraneous debug
  * Manual: add note about using --timer-slack 0 for high freq timers

 -- Colin King <colin.king@canonical.com>  Thu, 23 Aug 2018 16:54:53 +0100

stress-ng (0.09.37-1) unstable; urgency=medium

  * Makefile: bump version
  * snapcraft: add stage packages and build with hardening settings
  * stress-chown: cater for OpenBSD chown returning 0 and errno being set
  * stress-zlib: don't report write failure if errno == 0
  * stress-fp-error: relax checking for pre glib 4.8
  * Add voidifications on ignored function returns
  * ignite-cpu: set freq governor and restore settings at end
  * ignite-cpu: try and set max cpu frequency scaling setting
  * cache: add G size specifier
  * Makefile: check for GNU/kFreeBSD and set __FreeBSD_Kernel__
  * stress-sysbadaddr: only use ustat if HAVE_USTAT is defined
  * stress-ng.h: rename statx_timestamp to shim_statx_timestamp

 -- Colin King <colin.king@canonical.com>  Mon, 13 Aug 2018 13:58:57 +0100

stress-ng (0.09.36-1) unstable; urgency=medium

  * Makefile: bump version
  * stress-schedpolicy: ignore EINVAL on non-POSIX policies
  * mungify _ to - on stressor name before calling the stressor
  * stress-seek: disabled SEEK_HOLE and SEEK_DATA for OS X
  * stress-fp-error: relax checking on non-Linux systems
  * stress-schedpolicy: skip FIFO if sched_get_priority_min/max return -1
  * stress-mknod: fix cut-n-paste error on struct stress_info_t
  * stress-fp-error: be less pedantic with errno checks on non-Linux systems
  * stress-mknod: disable this for non-Linux systems
  * stress-affinity: check that process can set CPU affinity
  * stress-access: remove AT_SYMLINK_NOFOLLOW, it is not needed
  * stress-vm-segv: remove some old commented out debug text
  * stress-vm-segv: retry on ENOMEM on fork
  * stress-vm-segv: make child process non-dumpable
  * test/test_modify_ldt: fail for no-x86 architectures
  * stress-cpu: compute geometric mean by split mantissa and exponent method
  * stress-fork: turn warnings off around vfork and not fork
  * stress-dentry: fall back to using fcntl if flock is not available
  * Turn off warnings around vfork calls
  * Makefile: "SunOS" should be SunOS and not quoted in if statement
  * Makefile: check for SunOS to use non-default grep for -e capability
  * stress-dentry: don't flock the entry if we don't have flock flags

 -- Colin King <colin.king@canonical.com>  Thu, 2 Aug 2018 14:39:41 +0100

stress-ng (0.09.35-1) unstable; urgency=medium

  * Makefile: bump version
  * stress-file-ioctl: check size against stat buf size
  * stress-file-ioctl: remove redundant buffer
  * stress-file-ioctl: print differences in sizes on error of
    FIOQSIZE ioctl
  * stress-sysfs: use shim_ spinlock type rather than direct structure
  * perf: use shim_ spinlock rather than direct call
  * stress-procfs: use shim_ spinlock rather than direct call
  * stress-procfs: use shim_ spinlock rather than native call
  * stress-dev: use shim spinlock rather than native call
  * stress-dccp: skip stressor if DCCP protocol not supported
  * stress-af-alg: return EXIT_NOT_IMPLEMENTED if protocol is not
    supported
  * rename set_cpu_affinity to stress_set_cpu_affinity
  * Update comment relating to stressor names
  * Make stressor command options match 1-to-1 with info and function
    names
  * Re-work STRESSOR macro so that we don't need upper case name anymore
  * Make stressor names with OPT_ options match
  * Make stressor names with stressor #defines match
  * Add more comments and make index i a size_t
  * Add helper to mlock stress-ng into memory
  * stress-procfs: use copy of proc_path and set to empty string rather
    than NULL
  * stress-dev: use copy of dev_path and set to empty string rather
    than NULL
  * stress-sysfs: copy sysfs_path while locked into path
  * stress-sysfs: don't nullify sysfs_path, set it to empty string and
    lock it
  * stress-personality: don't verify personality setting, it does not work
  * stress-sysfd: temporarily disable read access fstat error
  * rename snapcraft directory to snap

 -- Colin King <colin.king@canonical.com>  Fri, 20 Jul 2018 12:19:44 +0100

stress-ng (0.09.34-1) unstable; urgency=medium

  * Makefile: bump version
  * Ensure all fail log messages set the error to EXIT_FAILURE
  * Manual: update contributors list
  * stress-opcode: make child process non-dumpable
  * Add bcd and utf8 zlib data methods to manual
  * stress-zlib: add 8 bit UTF-8 data stream
  * stress-zlib: put BCD data as bytes not 32 bit words
  * stress-zlib: add bcd data mode

 -- Colin King <colin.king@canonical.com>  Mon, 16 Jul 2018 23:50:22 +0100

stress-ng (0.09.33-1) unstable; urgency=medium

  * Makefile: bump version
  * stress-pty: make open failure on ENOMEM non-fatal
  * stress-sockpair: handle EPERM error on read gracefully
  * stress-quota: don't count a pass as a failure

