## stress-ng 0.09.40

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.09.39
+VERSION=0.09.40
 #
 # Codename "portable pressure producer"
 #
@@ -73,6 +73,7 @@
 	stress-aio-linux.c \
 	stress-apparmor.c \
 	stress-atomic.c \
+	stress-bad-altstack.c \
 	stress-bigheap.c \
 	stress-bind-mount.c \
 	stress-branch.c \
