## stress-ng 0.09.41

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.09.40
+VERSION=0.09.41
 #
 # Codename "portable pressure producer"
 #
@@ -186,6 +186,7 @@
 	stress-personality.c \
 	stress-physpage.c \
 	stress-pipe.c \
+	stress-pkey.c \
 	stress-poll.c \
 	stress-prctl.c \
 	stress-procfs.c \
