## stress-ng 0.09.42

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.09.41
+VERSION=0.09.42
 #
 # Codename "portable pressure producer"
 #
@@ -344,7 +344,7 @@
 
 stress-ng: $(OBJS)
 	@echo "LD $@"
-	@$(CC) $(CPPFLAGS) $(CFLAGS) $(OBJS) -lm $(LDFLAGS) -lc -o $@
+	@$(CC) $(CPPFLAGS) $(CFLAGS) $(OBJS) -lm $(LDFLAGS) -o $@
 	@sync
 
 makeconfig:
