=== debian/control ===
--- 
+++ 
@@ -17,4 +17,3 @@
  has many additional features such as specifying the number of bogo operations
  to run, execution metrics, a stress verification on memory and compute
  operations and considerably more stress mechanisms.
-
